## deepin-diskmanager 6.0.16

=== debian/changelog ===
deepin-diskmanager (6.0.16) unstable; urgency=medium

  * add lo language support

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 15:18:38 +0800

deepin-diskmanager (6.0.15) unstable; urgency=medium

  * refactor: Update process names in deepin-diskmanager-authenticateProxy script

 -- wangrong <wangrong@uniontech.com>  Tue, 12 Aug 2025 15:36:14 +0800

deepin-diskmanager (6.0.14) unstable; urgency=medium

  * Update version to 6.0.14. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 08 Aug 2025 14:46:39 +0800

deepin-diskmanager (6.0.13) unstable; urgency=medium

  * Update version to 6.0.13

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 21:10:17 +0800

deepin-diskmanager (6.0.12) unstable; urgency=medium

  * fix: Fix fail to get info from some USB device
  * fix: Fix disk interface display abnormality

 -- wangrong <wangrong@uniontech.com>  Thu, 07 Aug 2025 20:12:39 +0800

deepin-diskmanager (6.0.11) unstable; urgency=medium

  * fix: Fix incomplete retrieval of disk hardware information
  * fix: Improve disk info retrieval logic

 -- wangrong <wangrong@uniontech.com>  Thu, 31 Jul 2025 15:02:18 +0800

deepin-diskmanager (6.0.10) unstable; urgency=medium

  * fix: Fix fail to get device info

 -- wangrong <wangrong@uniontech.com>  Tue, 29 Jul 2025 19:10:31 +0800
