=== debian/changelog ===
deepin-diskmanager (6.0.20) unstable; urgency=medium

  * fix: Fix fail to verify bad sectors

 -- wangrong <wangrong@uniontech.com>  Thu, 25 Sep 2025 16:25:20 +0800

deepin-diskmanager (6.0.19) unstable; urgency=medium

  * chore: Update version to 6.0.19

 -- wangrong <wangrong@uniontech.com>  Fri, 19 Sep 2025 10:31:29 +0800

deepin-diskmanager (6.0.18) unstable; urgency=medium

  * chore: Remove unnecessary static library installation

 -- wangrong <wangrong@uniontech.com>  Wed, 03 Sep 2025 10:39:09 +0800

deepin-diskmanager (6.0.17) unstable; urgency=medium

  * Update version to 6.0.17. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 27 Aug 2025 15:16:31 +0800
