=== debian/control ===
Source: deepin-diskmanager
Section: admin
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
 libc6-dev,
 qt6-tools-dev,
 qt6-base-dev,
 libx11-dev,
 libdtk6widget-dev,
 qt6-tools-dev-tools,
 qt6-base-private-dev,
 libparted-dev,
 libparted-fs-resize0,
 libpolkit-qt6-1-dev,
 libgtest-dev,
 libgmock-dev,
 deepin-gettext-tools
Standards-Version: 4.1.3

Package: deepin-diskmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools, exfat-fuse, pkexec
Description: Disk Utility is a disk management tool for creating, reorganizing and formatting partitions.
 Disk Utility is a disk management tool for disk.
